Skip to main content
PUT
/
api
/
customer
/
{customerId}
/
document
/
{documentId}
/
liveness
updateLivenessResult
curl --request PUT \
  --url https://api.artemis.cynopsis.co/api/customer/{customerId}/document/{documentId}/liveness \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Domain-ID: <x-domain-id>' \
  --data '
{
  "conclusion": true,
  "auditImages": "<string>",
  "faceDetails": {
    "eyesClosed": {
      "value": false,
      "confidence": 123
    },
    "sunglasses": {
      "value": false,
      "confidence": 123
    },
    "faceOccluded": {
      "value": false,
      "confidence": 123
    }
  },
  "facialCheck": true,
  "livenessResult": true,
  "referenceImage": "<string>",
  "liivenessConfidence": 123
}
'
import requests

url = "https://api.artemis.cynopsis.co/api/customer/{customerId}/document/{documentId}/liveness"

payload = {
"conclusion": True,
"auditImages": "<string>",
"faceDetails": {
"eyesClosed": {
"value": False,
"confidence": 123
},
"sunglasses": {
"value": False,
"confidence": 123
},
"faceOccluded": {
"value": False,
"confidence": 123
}
},
"facialCheck": True,
"livenessResult": True,
"referenceImage": "<string>",
"liivenessConfidence": 123
}
headers = {
"X-Domain-ID": "<x-domain-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {
'X-Domain-ID': '<x-domain-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
conclusion: true,
auditImages: '<string>',
faceDetails: {
eyesClosed: {value: false, confidence: 123},
sunglasses: {value: false, confidence: 123},
faceOccluded: {value: false, confidence: 123}
},
facialCheck: true,
livenessResult: true,
referenceImage: '<string>',
liivenessConfidence: 123
})
};

fetch('https://api.artemis.cynopsis.co/api/customer/{customerId}/document/{documentId}/liveness', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "fullName": "<string>",
    "id": 123,
    "lastName": "<string>"
  },
  "updatedBy": {
    "email": "<string>",
    "firstName": "<string>",
    "fullName": "<string>",
    "id": 123,
    "lastName": "<string>"
  },
  "customerId": 123,
  "frontName": "<string>",
  "backName": "<string>",
  "type": "<string>",
  "number": "<string>",
  "authenticity": "<string>",
  "issueDate": "2023-12-25",
  "expiryDate": "2023-12-25",
  "showExpiryNotification": true,
  "front": "<string>",
  "back": "<string>",
  "faceCompare": {},
  "liveness": {},
  "other": {},
  "allowedDocumentFormat": true
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Domain-ID
integer<int64>
required

X-Domain-ID

Path Parameters

customerId
integer<int64>
required

customerId

documentId
integer<int64>
required

documentId

Body

application/json

LivenessResultRequestDto

conclusion
boolean
auditImages
string
faceDetails
AresLivenessFaceDetailsDto · object
facialCheck
boolean
livenessResult
boolean
referenceImage
string
liivenessConfidence
integer<int64>

Response

OK

id
integer<int64>
createdAt
string<date-time>
updatedAt
string<date-time>
createdBy
UserInfo · object
updatedBy
UserInfo · object
customerId
integer<int64>
frontName
string
backName
string
type
string
number
string
authenticity
string
issueDate
string<date>
expiryDate
string<date>
showExpiryNotification
boolean
front
string
back
string
docverCheckStatus
enum<string>
Available options:
PERFORMED,
NOT_PERFORMED
faceCompare
object
liveness
object
other
object
allowedDocumentFormat
boolean